Widget
Get widget configuration
Returns the merged widget configuration for the project associated with the API key, including available workflows (skills).
GET
/
widget
/
config
Get widget configuration
curl --request GET \
--url https://platform.agentictrust.com/api/v1/widget/config \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.agentictrust.com/api/v1/widget/config"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.agentictrust.com/api/v1/widget/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"showBranding": true,
"position": "bottom-right",
"primaryColor": "<string>",
"bgColor": "<string>",
"textColor": "<string>",
"navigationCardColor": "<string>",
"fontFamily": "<string>",
"fabIcon": "<string>",
"fabText": "<string>",
"availableSkills": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
API key in lum_pk_* format. Pass via x-api-key header or Authorization: Bearer <key>.
Response
Widget configuration object.
Available options:
bottom-right, bottom-left Show child attributes
Show child attributes
⌘I
Get widget configuration
